﻿; Kega's Command File.

;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| Super Motions |--------------------------------------------------------
; Super Move
[Command]
name = "super"
command = ~D, B, D, F, x
time = 30
[Command]
name = "super"
command = ~D, B, D, F, y
time = 30
[Command]
name = "super"
command = ~D, B, D, F, z
time = 30
[Command]
name = "super"
command = ~D, B, D, F, ~x
time = 30
[Command]
name = "super"
command = ~D, B, D, F, ~y
time = 30
[Command]
name = "super"
command = ~D, B, D, F, ~z
time = 30

;-| Special Motions |------------------------------------------------------
; Shoryuken
[Command]
name = "shoryuken_x"
command = ~F, D, DF, x
[Command]
name = "shoryuken_x"
command = ~F, D, DF, ~x
[Command]
name = "shoryuken_y"
command = ~F, D, DF, y
[Command]
name = "shoryuken_y"
command = ~F, D, DF, ~y
[Command]
name = "shoryuken_z"
command = ~F, D, DF, z
[Command]
name = "shoryuken_z"
command = ~F, D, DF, ~z

; Hadoken
[Command]
name = "hadoken_x"
command = ~D, DF, F, x
[Command]
name = "hadoken_x"
command = ~D, DF, F, ~x
[Command]
name = "hadoken_y"
command = ~D, DF, F, y
[Command]
name = "hadoken_y"
command = ~D, DF, F, ~y
[Command]
name = "hadoken_z"
command = ~D, DF, F, z
[Command]
name = "hadoken_z"
command = ~D, DF, F, ~z

; Hurricane Kick
[Command]
name = "hkick_a"
command = ~D, DB, B, a
[Command]
name = "hkick_a"
command = ~D, DB, B, ~a
[Command]
name = "hkick_b"
command = ~D, DB, B, b
[Command]
name = "hkick_b"
command = ~D, DB, B, ~b
[Command]
name = "hkick_c"
command = ~D, DB, B, c
[Command]
name = "hkick_c"
command = ~D, DB, B, ~c

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command = x+y
time = 1

[Command]
name = "recovery"
command = y+z
time = 1

[Command]
name = "recovery"
command = x+z
time = 1

[Command]
name = "recovery"
command = a+b
time = 1

[Command]
name = "recovery"
command = b+c
time = 1

[Command]
name = "recovery"
command = a+c
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "back_x"
command = /$B,x
time = 1

[Command]
name = "back_y"
command = /$B,y
time = 1

[Command]
name = "back_z"
command = /$B,z
time = 1

[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

[Command]
name = "fwd_x"
command = /$F,x
time = 1

[Command]
name = "fwd_y"
command = /$F,y
time = 1

[Command]
name = "fwd_z"
command = /$F,z
time = 1

[Command]
name = "up_x"
command = /$U,x
time = 1

[Command]
name = "up_y"
command = /$U,y
time = 1

[Command]
name = "up_z"
command = /$U,z
time = 1

[Command]
name = "back_a"
command = /$B,a
time = 1

[Command]
name = "back_b"
command = /$B,b
time = 1

[Command]
name = "back_c"
command = /$B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_a"
command = /$F,a
time = 1

[Command]
name = "fwd_b"
command = /$F,b
time = 1

[Command]
name = "fwd_c"
command = /$F,c
time = 1

[Command]
name = "up_a"
command = /$U,a
time = 1

[Command]
name = "up_b"
command = /$U,b
time = 1

[Command]
name = "up_c"
command = /$U,c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "fwd"
command = $F
time = 1

[Command]
name = "down"
command = $D
time = 1

[Command]
name = "back"
command = $B
time = 1

[Command]
name = "up"
command = $U
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Hold Button |--------------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_s"
command = /s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd" ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holddownfwd"
command = /$DF
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1

[Command]
name = "holddownback"
command = /$DB
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdupback"
command = /$UB
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holdupfwd"
command = /$UF
time = 1

;---------------------------------------------------------------------------
; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;---------------------------------------------------------------------------
;===== Contact/Hit/Guard =====
;----- MoveContact -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 12
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveContact
trigger1 = StateNo < 1000
ignorehitpause = 1
v = 12
value = 1
;--------------------

;----- MoveHit -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
trigger1 = StateNo < 1000
ignorehitpause = 1
v = 13
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveHit
trigger1 = StateNo < 1000
ignorehitpause = 1
v = 13
value = 1
;--------------------

;----- MoveGuarded -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 14
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveGuarded
trigger1 = StateNo < 1000
ignorehitpause = 1
v = 14
value = 1
;--------------------
;=========================

;===========================================================================
;---------------------------------------------------------------------------
; Super Moves
;---------------------------------------------------------------------------
; Super Move
[State -1, State]
type = ChangeState
value = 2000
triggerall = Power >= 1000
triggerall = command = "super"
triggerall = statetype != A
trigger1 = Var(12) > 0
trigger2 = ctrl

;---------------------------------------------------------------------------
; Ninja Art
[State -1, State]
type = ChangeState
value = 350
triggerall = ctrl
triggerall = Var(50) <= 0
triggerall = Power >= 500
triggerall = statetype != A
trigger1 = command = "x" && command = "b" && command = "z"
trigger2 = command = "a" && command = "y" && command = "c"

; Ninja Art Air
[State -1, State]
type = ChangeState
value = 355
triggerall = ctrl
triggerall = Var(50) <= 0
triggerall = Power >= 500
triggerall = statetype = A
trigger1 = command = "x" && command = "b" && command = "z"
trigger2 = command = "a" && command = "y" && command = "c"

;===========================================================================
;---------------------------------------------------------------------------
; Special Moves
;---------------------------------------------------------------------------
; Hurricane Kick
[State -1, State]
type = ChangeState
value = 1100
triggerall = command = "hkick_a" || command = "hkick_b" || command = "hkick_c"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0

; Air Hurricane Kick
[State -1, State]
type = ChangeState
value = 1120
triggerall = command = "hkick_a" || command = "hkick_b" || command = "hkick_c"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0

;---------------------------------------------------------------------------
; Hadoken
[State -1, State]
type = ChangeState
value = 1200
triggerall = command = "hadoken_x" || command = "hadoken_y" || command = "hadoken_z"
triggerall = statetype != A
trigger1 = NumHelper(1210) <= 0
trigger1 = NumHelper(1211) <= 0
trigger1 = NumHelper(1212) <= 0
trigger1 = NumHelper(1215) <= 0
trigger1 = NumHelper(1216) <= 0
trigger1 = ctrl
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0

; Air Hadoken
[State -1, State]
type = ChangeState
value = 1500
triggerall = command = "hadoken_x" || command = "hadoken_y" || command = "hadoken_z"
triggerall = statetype = A
trigger1 = NumHelper(1210) <= 0
trigger1 = NumHelper(1211) <= 0
trigger1 = NumHelper(1212) <= 0
trigger1 = NumHelper(1215) <= 0
trigger1 = NumHelper(1216) <= 0
trigger1 = ctrl
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0

;---------------------------------------------------------------------------
; Dash Forward
[State -1, State]
type = ChangeState
value = 940
triggerall = command = "FF"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Backflip
[State -1, State]
type = ChangeState
value = 950
triggerall = command = "BB"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
; Throw
[State -1, Attack]
type = ChangeState
value = 800
triggerall = ctrl
triggerall = Var(50) <= 0
triggerall = statetype = S
triggerall = command = "y" || command = "z" || command = "b" || command = "c"
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X <= 20
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H || p2stateno = 5300
trigger2 = command = "holdback"
trigger2 = p2bodydist X <= 20
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H || p2stateno = 5300

;===========================================================================
;---------------------------------------------------------------------------
; Basic Moves
;---------------------------------------------------------------------------
;===========================================================================
;---------------------------------------------------------------------------
; Stand Taunt
[State -1, State]
type = ChangeState
value = 197
triggerall = command = "s"
triggerall = command = "holdback"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

; Stand Taunt
[State -1, State]
type = ChangeState
value = 196
triggerall = command = "s"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

; Stand Taunt
[State -1, State]
type = ChangeState
value = 195
triggerall = command = "s"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, State]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 220
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Stand Light Kick
[State -1, State]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Stand Medium Kick
[State -1, State]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Stand Strong Kick
[State -1, State]
type = ChangeState
value = 260
triggerall = command = "holdfwd"
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Stand Strong Kick
[State -1, State]
type = ChangeState
value = 250
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = StateNo != 400
triggerall = statetype != A
trigger1 = StateNo = 940
trigger2 = PrevStateNo = 940
trigger2 = Var(12) > 0 || Time >= 5

;---------------------------------------------------------------------------
; Crouch Medium Punch
[State -1, State]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

; Crouch Medium Punch
[State -1, State]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = StateNo != 410
triggerall = statetype != A
trigger1 = StateNo = 940
trigger2 = PrevStateNo = 940
trigger2 = Var(12) > 0 || Time >= 5

;---------------------------------------------------------------------------
; Crouch Strong Punch
[State -1, State]
type = ChangeState
value = 420
triggerall = command = "z"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

; Crouch Strong Punch
[State -1, State]
type = ChangeState
value = 420
triggerall = command = "z"
triggerall = StateNo != 420
triggerall = statetype != A
trigger1 = StateNo = 940
trigger2 = PrevStateNo = 940
trigger2 = Var(12) > 0 || Time >= 5

;---------------------------------------------------------------------------
; Crouch Light Kick
[State -1, State]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

; Crouch Light Kick
[State -1, State]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = StateNo != 430
triggerall = statetype != A
trigger1 = StateNo = 940
trigger2 = PrevStateNo = 940
trigger2 = Var(12) > 0 || Time >= 5

;---------------------------------------------------------------------------
; Crouch Medium Kick
[State -1, State]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

; Crouch Medium Kick
[State -1, State]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = StateNo != 440
triggerall = statetype != A
trigger1 = StateNo = 940
trigger2 = PrevStateNo = 940
trigger2 = Var(12) > 0 || Time >= 5

;---------------------------------------------------------------------------
; Crouch Strong Kick
[State -1, State]
type = ChangeState
value = 450
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

; Crouch Strong Kick
[State -1, State]
type = ChangeState
value = 450
triggerall = command = "c"
triggerall = StateNo != 450
triggerall = statetype != A
trigger1 = StateNo = 940
trigger2 = PrevStateNo = 940
trigger2 = Var(12) > 0 || Time >= 5

;---------------------------------------------------------------------------
; Jump Light Punch
[State -1, State]
type = ChangeState
value = 600
triggerall = command = "x"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Jump Medium Punch
[State -1, State]
type = ChangeState
value = 610
triggerall = command = "y"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Jump Strong Punch
[State -1, State]
type = ChangeState
value = 620
triggerall = command = "z"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Jump Dive Kick
[State -1, State]
type = ChangeState
value = 660
triggerall = Vel X > 0
triggerall = Vel Y >= -5
triggerall = Vel Y < 0
triggerall = StateNo < 660
triggerall = command = "holddown"
triggerall = command = "b"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = Var(12) > 0
trigger2 = StateNo < 1000

;---------------------------------------------------------------------------
; Jump Light Kick
[State -1, State]
type = ChangeState
value = 630
triggerall = command = "a"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Jump Medium Kick
[State -1, State]
type = ChangeState
value = 640
triggerall = command = "b"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
; Jump Strong Kick
[State -1, State]
type = ChangeState
value = 650
triggerall = command = "c"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = Var(50) > 0
trigger2 = Var(12) > 0
trigger3 = Var(50) > 0
trigger3 = Time >= 10

;---------------------------------------------------------------------------
;===========================================================================
;---------------------------------------------------------------------------
;Aerial Rave Jump
[State -1]
type = ChangeState
value = 40
triggerall = command = "holdup"
trigger1 = StateNo = 250
trigger1 = Anim != 250
trigger1 = Var(12) > 0

;---------------------------------------------------------------------------
; Wall Jump
[State -1]
type = ChangeState
value = 60
triggerall = ctrl
triggerall = Var(51) <= 0
triggerall = statetype = A
triggerall = stateno < 5000
triggerall = command = "holdup"
trigger1 = command = "holdfwd"
trigger1 = BackEdgeBodyDist <= 0
trigger2 = command = "holdback"
trigger2 = FrontEdgeBodyDist <= 0

;---------------------------------------------------------------------------
;===========================================================================
